Bug 1316029 - vdsm - caps/machinetype API changes broke setup
vdsm - caps/machinetype API changes broke setup
Status: CLOSED CURRENTRELEASE
Product: ovirt-live
Classification: oVirt
Component: General (Show other bugs)
4.0.0
Unspecified Unspecified
urgent Severity urgent (vote)
: ovirt-4.0.0-alpha
: 4.0.0
Assigned To: Sandro Bonazzola
Sandro Bonazzola
: CodeChange, Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-09 04:51 EST by Sandro Bonazzola
Modified: 2017-05-11 05:24 EDT (History)
3 users (show)

See Also:
Fixed In Version: ovirt 4.0.0 alpha1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-07 05:01:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Integration
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.0.0+
rule-engine: blocker+
rule-engine: planning_ack+
sbonazzo: devel_ack+
pstehlik: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 54517 master MERGED setup: vdsm: update cpu/machinetype API 2016-03-09 07:56 EST

  None (edit)
Description Sandro Bonazzola 2016-03-09 04:51:54 EST
Description of problem:
    caps/machinetype: move machine-type related code to new module
    Change-Id: Ia7bf79c66a38329672e1fbd3fd41a94058803b58
    Signed-off-by: Martin Polednik <mpolednik@redhat.com>
    Reviewed-on: https://gerrit.ovirt.org/54212

Actual results:
 Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/otopi/context.py", line 146, in _executeMethod
    method['method']()
  File "/usr/share/ovirt-engine/setup/bin/../plugins/ovirt-engine-setup/ovirt-engine/all-in-one/cpu.py", line 134, in _validation
    cpu, compatible = self._getCompatibleCpuModels()
  File "/usr/share/ovirt-engine/setup/bin/../plugins/ovirt-engine-setup/ovirt-engine/all-in-one/cpu.py", line 97, in _getCompatibleCpuModels
    caps._getCompatibleCpuModels(),
 AttributeError: 'module' object has no attribute '_getCompatibleCpuModels'
Comment 1 Francesco Romani 2016-03-09 05:03:24 EST
(In reply to Sandro Bonazzola from comment #0)
> Description of problem:
>     caps/machinetype: move machine-type related code to new module
>     Change-Id: Ia7bf79c66a38329672e1fbd3fd41a94058803b58
>     Signed-off-by: Martin Polednik <mpolednik@redhat.com>
>     Reviewed-on: https://gerrit.ovirt.org/54212
> 
> Actual results:
>  Traceback (most recent call last):
>   File "/usr/lib/python2.7/site-packages/otopi/context.py", line 146, in
> _executeMethod
>     method['method']()
>   File
> "/usr/share/ovirt-engine/setup/bin/../plugins/ovirt-engine-setup/ovirt-
> engine/all-in-one/cpu.py", line 134, in _validation
>     cpu, compatible = self._getCompatibleCpuModels()
>   File
> "/usr/share/ovirt-engine/setup/bin/../plugins/ovirt-engine-setup/ovirt-
> engine/all-in-one/cpu.py", line 97, in _getCompatibleCpuModels
>     caps._getCompatibleCpuModels(),
>  AttributeError: 'module' object has no attribute '_getCompatibleCpuModels'

So the setup was using a private unsupported caps.py function?
Comment 2 Sandro Bonazzola 2016-03-09 05:08:14 EST
(In reply to Francesco Romani from comment #1)
> So the setup was using a private unsupported caps.py function?

It's oVirt Live. I see it's now public: vdsm.machinetype.getCompatibleCpuModels()
Comment 3 Sandro Bonazzola 2016-03-09 07:57:03 EST
final API is vdsm.machinetype.compatible_cpu_models()
Comment 4 Pavel Stehlik 2016-06-22 07:51:05 EDT
CodeChange, nothing for QE.

Note You need to log in before you can comment on or make changes to this bug.